(function ($) {
  Drupal.behaviors.createPageFieldSummaries = {
    attach: function (context) {
      if (typeof $().drupalSetSummary === 'function' && typeof Drupal.mmSummaryFuncs === 'object') {
        $('.vertical-tabs-panes>fieldset', context).once('mmAttachSummaryFuncs').each(function () {
          var func = Drupal.mmSummaryFuncs[$(this).attr('id')];
          if (typeof func === 'function') {
            if ($(this).text() == '') {
              // The fieldset contains no text, but might have hidden inputs, so
              // hide it and move it outside of the list of tabs.
              $(this).closest('.vertical-tabs-panes').after($(this).hide().detach());
            }
            else {
              $(this).drupalSetSummary(func);
            }
          }
        });
      }
    }
  };
})(jQuery);