<?php
/**
 * @file
 * mm_media.features.field_instance.inc
 */

/**
 * Implements hook_field_default_field_instances().
 */
function mm_media_field_default_field_instances() {
  $field_instances = array();

  // Exported field_instance: 'node-mm_media-body'
  $field_instances['node-mm_media-body'] = array(
    'bundle' => 'mm_media',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => '',
    'display' => array(
      'default' => array(
        'label' => 'hidden',
        'module' => 'text',
        'settings' => array(),
        'type' => 'text_default',
        'weight' => 0,
      ),
      'ical' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
      'teaser' => array(
        'label' => 'hidden',
        'module' => 'text',
        'settings' => array(
          'trim_length' => 600,
        ),
        'type' => 'text_summary_or_trimmed',
        'weight' => 0,
      ),
      'upcoming_events' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'node',
    'field_name' => 'body',
    'label' => 'Caption',
    'required' => 0,
    'settings' => array(
      'display_summary' => 1,
      'file_extensions' => '',
      'text_processing' => 1,
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'text',
      'settings' => array(
        'mm_cck_default_modes' => array(),
        'mm_cck_groups' => array(),
        'mm_cck_use_defaults' => TRUE,
        'mm_cck_users' => array(),
        'rows' => 20,
        'summary_rows' => 5,
      ),
      'type' => 'text_textarea_with_summary',
      'weight' => 0,
    ),
  );

  // Exported field_instance: 'node-mm_media-field_mm_media_tags'
  $field_instances['node-mm_media-field_mm_media_tags'] = array(
    'bundle' => 'mm_media',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => '',
    'display' => array(
      'default' => array(
        'label' => 'inline',
        'module' => 'taxonomy',
        'settings' => array(),
        'type' => 'taxonomy_term_reference_link',
        'weight' => 2,
      ),
      'ical' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
      'teaser' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
      'upcoming_events' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'node',
    'field_name' => 'field_mm_media_tags',
    'label' => 'Tags',
    'required' => 0,
    'settings' => array(
      'file_extensions' => '',
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 0,
      'module' => 'taxonomy',
      'settings' => array(
        'autocomplete_path' => 'taxonomy/autocomplete',
        'mm_cck_default_modes' => array(),
        'mm_cck_groups' => array(),
        'mm_cck_use_defaults' => TRUE,
        'mm_cck_users' => array(),
        'size' => 60,
      ),
      'type' => 'taxonomy_autocomplete',
      'weight' => 3,
    ),
  );

  // Exported field_instance: 'node-mm_media-field_multimedia'
  $field_instances['node-mm_media-field_multimedia'] = array(
    'bundle' => 'mm_media',
    'deleted' => 0,
    'description' => '',
    'display' => array(
      'default' => array(
        'label' => 'hidden',
        'module' => 'mediafield',
        'settings' => array(
          'file_view_mode' => 'media_large',
        ),
        'type' => 'media',
        'weight' => 0,
      ),
      'ical' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
      'teaser' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
      'upcoming_events' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'node',
    'field_name' => 'field_multimedia',
    'label' => 'Upload',
    'required' => 0,
    'settings' => array(
      'file_extensions' => 'ab1 abi aif aiff app avi csv dcr dmg doc docx flv gif gz html jar jp2 jpeg jpg kml kmz m4a m4v mov mp3 mp4 mpeg mpg mxd mxp nb nbp pdb pdf pmf png ppsx ppt pptx prs psd rtf seq sit svg swf tar txt wav webarchive wma wmv wpd wpf xls xlsx xml xsd zip',
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'media',
      'settings' => array(
        'allowed_schemes' => array(
          'private' => 'private',
          'public' => 'public',
        ),
        'allowed_types' => array(
          'audio' => 'audio',
          'default' => 'default',
          'image' => 'image',
          'video' => 'video',
        ),
        'browser_plugins' => array(
          'upload' => 0,
        ),
        'mm_cck_default_modes' => array(),
        'mm_cck_groups' => array(),
        'mm_cck_use_defaults' => 1,
        'mm_cck_users' => array(),
        'progress_indicator' => 'throbber',
      ),
      'type' => 'media_generic',
      'weight' => 1,
    ),
  );

  // Translatables
  // Included for use with string extractors like potx.
  t('Caption');
  t('Tags');
  t('Upload');

  return $field_instances;
}
