<?php

/*
 * Argument handler to accept a mmtid to a monster menus page
 */
class mm_views_handler_argument_mmtid extends views_handler_argument {
  function query($group_by = FALSE) {
    $this->ensure_my_table();
    $sub_query = db_select('mm_tree_parents', 'p')
      ->fields('p', array('mmtid'))
      ->condition('parent', $this->argument)
      ->union(
        db_select('mm_tree', 't')
          ->fields('t', array('mmtid'))
          ->condition('mmtid', $this->argument)
      );
    $join = new views_join();
    $join->construct('mm_tree_parents_subquery', 'mm_tree', 'mmtid', 'mmtid', array(), 'INNER');
    $join->definition['table formula'] = $sub_query;
    $this->query->table_queue['mm_tree_parents'] = array (
      'alias' => 'mm_tree_parents_subquery',
      'table' => $sub_query,
      'relationship' => 'mm_tree',
      'join' => $join,
    );
  }
}
